﻿package 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 1000;
		private var counter:Number = 0;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
		}
		private function double_handler(e:MouseEvent):void
		{
			//trace("double clicked");
			if(counter>limit){
				eraseAll();
			}
			var boule:Points = new Points(this);
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	import flash.geom.Point;
	
class Points extends Sprite
{
	private var angle:Number = 1;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	
	public function Points(parent:Sprite):void
	{
		r1 = Math.random()*15;
		r2 = Math.random()*15;
		orientation = Math.round(2-Math.random()*5);
		if(orientation ==0){orientation++;}
		graphics.beginFill(0x000000);
		graphics.drawCircle(parent.mouseX,parent.mouseY,(Math.random()*5+5));
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = Math.cos(angle*Math.PI/120)*r1;
		y = Math.sin(angle*Math.PI/120)*r2*orientation;
		angle++;
	}
}